Package org.eclipse.draw2d

# Class UpdateListener.Stub

java.lang.Object
org.eclipse.draw2d.UpdateListener.Stub

All Implemented Interfaces:
  `UpdateListener`

Enclosing interface:
  `UpdateListener`

public static class UpdateListener.Stub extends Object implements UpdateListener
An empty implementation of `UpdateListener` for convenience.

Since:
  3.16

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.UpdateListener

`UpdateListener.Stub`

## Constructor Summary

Constructors
Constructor
Description
`Stub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyPainting(Rectangle damage, Map<IFigure,Rectangle> dirtyRegions)`
Notifies the listener that the listened to object is painting.
`void`
`notifyValidating()`
Notifies the listener that the listened to object is validating.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stub

public Stub()

## Method Details

### notifyPainting

public void notifyPainting(Rectangle damage, Map<IFigure,Rectangle> dirtyRegions)
Description copied from interface: `UpdateListener`
Notifies the listener that the listened to object is painting. The damage rectangle may be null or empty. This indicates the dirty regions were clipped or not visible. But for objects such as the `Thumbnail`, notification still needs to occur. The map of dirty regions is passed to allow the listener to determine if it needs to update, for instance when a particular figure is painting.

Specified by:
  `notifyPainting` in interface `UpdateListener`
Parameters:
  `damage` - The area being painted
  `dirtyRegions` - a Map of figures to their dirty regions

### notifyValidating

public void notifyValidating()
Description copied from interface: `UpdateListener`
Notifies the listener that the listened to object is validating.

Specified by:
  `notifyValidating` in interface `UpdateListener`